Package uk.ac.starlink.topcat

## Class LineFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - uk.ac.starlink.topcat.LineFormatter

-     public class LineFormatter
      extends java.util.logging.Formatter

  Compact log record formatter. Unlike the default `SimpleFormatter` this generally uses only a single line for each record.
  Since:
    16 June 2005
  Author:
    Mark Taylor (Starlink)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LineFormatter​(boolean debug)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `format​(java.util.logging.LogRecord record)` |

    - ### Methods inherited from class java.util.logging.Formatter

      `formatMessage, getHead, getTail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineFormatter

          public LineFormatter​(boolean debug)

      Constructor.
      Parameters:
        `debug` - true iff additional debugging information should be included with logging messages

  - ### Method Detail

    - #### format

          public java.lang.String format​(java.util.logging.LogRecord record)

      Specified by:
        `format` in class `java.util.logging.Formatter`